# SPDX-FileCopyrightText: 2025 Ncam Gnrvngu <info@ncamgnrvngu.eu>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

on: [push, pull_request]
jobs:
  build:
    runs-on: docker
    container:
      image: gcr.io/kaniko-project/executor:debug
    steps:
      - run: '/kaniko/executor --context "git://${{ github.token }}@git.ncamgnrvngu.eu/NcamGnrvngu/website.git#${{ github.ref }}" --dockerfile "Dockerfile" --no-push'
  reuse-compliance:
    runs-on: docker
    steps:
      - uses: actions/checkout@v4
      - uses: https://github.com/fsfe/reuse-action@v5
